package de.abas.screen.ls.ide.tests.completion

import de.abas.screen.ls.ide.tests.AbstractScreenServiceLSPTest
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.Assertions

class ScreenServiceCompletionTest extends AbstractScreenServiceLSPTest {

	@Test
	def void testEndCompletion() {

		testCompletion[
			model = '''Hello Udo'''
			line = 0
			column = 9
			expectedCompletionItems = '''!'''

		]
	}

	@Test
	def void test02_openFile() {
		initialize()

		val file = 'hello.screenservice'.writeFile("")
		file.open('''
			Hello Xtext!
		''')

		Assertions.assertTrue(diagnostics.get(file).empty, "There're issues in file 'hello.screenservice'.")
	}

	@Test
	def void testInitialization() {
		val capabilities = initialize().capabilities
		Assertions.assertTrue(capabilities.definitionProvider && capabilities.documentFormattingProvider)
	}

}
