package de.abas.screen.ls.ide.tests.completion;

import de.abas.screen.ls.ide.tests.AbstractScreenServiceLSPTest;
import org.eclipse.lsp4j.ServerCapabilities;
import org.eclipse.xtend2.lib.StringConcatenation;
import org.eclipse.xtext.testing.TestCompletionConfiguration;
import org.eclipse.xtext.xbase.lib.Procedures.Procedure1;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

@SuppressWarnings("all")
public class ScreenServiceCompletionTest extends AbstractScreenServiceLSPTest {
  @Test
  public void testEndCompletion() {
    final Procedure1<TestCompletionConfiguration> _function = (TestCompletionConfiguration it) -> {
      StringConcatenation _builder = new StringConcatenation();
      _builder.append("Hello Udo");
      it.setModel(_builder.toString());
      it.setLine(0);
      it.setColumn(9);
      StringConcatenation _builder_1 = new StringConcatenation();
      _builder_1.append("!");
      it.setExpectedCompletionItems(_builder_1.toString());
    };
    this.testCompletion(_function);
  }
  
  @Test
  public void test02_openFile() {
    this.initialize();
    final String file = this.writeFile("hello.screenservice", "");
    StringConcatenation _builder = new StringConcatenation();
    _builder.append("Hello Xtext!");
    _builder.newLine();
    this.open(file, _builder.toString());
    Assertions.assertTrue(this.getDiagnostics().get(file).isEmpty(), "There\'re issues in file \'hello.screenservice\'.");
  }
  
  @Test
  public void testInitialization() {
    final ServerCapabilities capabilities = this.initialize().getCapabilities();
    Assertions.assertTrue(((capabilities.getDefinitionProvider()).booleanValue() && (capabilities.getDocumentFormattingProvider()).booleanValue()));
  }
}
